function cancelPassAcceptMenu(originalBGImage)
	screen:blit(0, 0, menuImages["cancel_pass_accept"], true)
	--TODO: why?????
	if environment=="pc" then
		screen.waitVblankStart()
		screen.flip()
	end
	screen.waitVblankStart()
	screen.flip()
	
	while true do
		updateInputs(Controls.read())
		
		if inputFirstPress("circle") then
			return "accept"
		elseif inputFirstPress("square") then
			return "cancel"
		elseif inputFirstPress("cross") then
			return "pass"
		end
	end
end 